Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 297281 - net-misc/dhcpv6-1.2.0 wrong localstatedir declaration causes dhcp6s not to start
Summary: net-misc/dhcpv6-1.2.0 wrong localstatedir declaration causes dhcp6s not to start
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Server (show other bugs)
Hardware: All Linux
: High critical with 1 vote (vote)
Assignee: Alex Alexander (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-17 11:49 UTC by George Kargiotakis
Modified: 2010-08-29 10:15 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George Kargiotakis 2009-12-17 11:49:39 UTC
When starting dhcp6s (dhcp6s -vf) it always outputs: "failed to open DUID file for save"
stracing it provides among others the following:
open("/var/lib/lib/dhcpv6/dhcp6s_duid", O_RDWR|O_CREAT|O_TRUNC, 0666) = -1 ENOENT (No such file or directory)
time(NULL)                              = 1261052052
stat64("/etc/localtime", {st_mode=S_IFREG|0644, st_size=2245, ...}) = 0
write(2, "Dec/17/2009 14:14:12 failed to op"..., 55Dec/17/2009 14:14:12 failed to open DUID file for save
) = 55

The ebuild does:
dodir /var/lib/dhcpv6
so the /var/lib/lib/dhcpv6 dir does not exist and dhpc6s stops from running.

Reproducible: Always

Steps to Reproduce:
1. emerge net-misc/dhcpv6-1.2.0
2. dhcp6s -vf




The problem can be fixed by altering the ebuild and replacing the econf line with this one:
econf "--localstatedir=/var" || die

The following line should also be appended to the src_install section:
dodir /var/run/dhcpv6
Comment 1 David Heidelberg (okias) 2010-04-29 21:12:25 UTC
Please fix it, thanks :-)
Comment 2 Dustin J. Mitchell 2010-06-27 17:56:04 UTC
I'm seeing this as well, in the same version (net-misc/dhcpv6-1.2.0).  This should be a simple fix, right?
Comment 3 Dustin J. Mitchell 2010-06-27 18:02:03 UTC
I can confirm that okias's fix works.
Comment 4 Dustin J. Mitchell 2010-06-27 18:07:28 UTC
While you're at it, you'll also need
  dodir /var/run/dhcpv6
Comment 5 Antti Mäkelä 2010-07-27 09:58:41 UTC
Also ran into this bug (was just trying to test the NAT64 network at IETF 78...Simple fix, but no one seems to have paid attention for a while.
Comment 6 Alex Alexander (RETIRED) gentoo-dev 2010-08-29 10:15:59 UTC
fixed in dhcpv6-1.2.0-r1.ebuild

thanks :)